#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long int x, y, z;
    z = 0;
    int a, b, i;
    i = 1;
    cin >> x >> y;
    while(x > 0 && y > 0)
    {
        a = x % 10;
        b = y % 10;
        x /= 10;
        y /= 10;

        if (a == b)
        {
            z += a * i;
            i *= 10;
            z += b * i;
        }
        else if (a > b) z += a * i;
        else z += b * i;
        i *= 10;
    }
    if (x > 0) z += x * i;
    else if (y > 0) z += y * i;
    cout << z;
    return 0;
}